/v1/workspaces/{workspace_id}/notificationsAuthList notifications (message log)
Newest first. Filter by `type`, `tag` (`key:value` or `key`), `tenant` or `cancellation_key`. Pass `next_cursor` as `cursor` until `has_more` is false.
Path parameters
workspace_id*string · uuidId of the workspace.
Query parameters
typestringOnly this notification type key.
tagstringOnly notifications with this tag: `key:value`, or `key` for any value.
tenantstringOnly this tenant.
cancellation_keystringOnly notifications sent with this cancellation key.
cursorstringOpaque cursor for pagination: the `next_cursor` of the previous page.
limitintegerPage size.
Response · 200 A page of notifications.
data*arrayNotifications, newest first.
pagination*objectThe cursor for the next page.
Example
Request
GET https://api.notify.productcraft.co/v1/workspaces/{workspace_id}/notifications
Authorization: Bearer YOUR_TOKENResponse
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"type": "string",
"status": {},
"recipient_count": 0,
"skipped_count": 0,
"channels": [
"inbox"
],
"tenant": "string",
"tags": {},
"actor": {},
"exclude_actor": false,
"cancellation_key": "string",
"idempotency_key": "string",
"caller": "string",
"send_at": "2026-01-01T00:00:00.000Z",
"expires_at": "2026-01-01T00:00:00.000Z",
"planned_at": "2026-01-01T00:00:00.000Z",
"cancelled_at": "2026-01-01T00:00:00.000Z",
"retracted_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"data": {},
"counts": [
{
"channel": {},
"states": {
"delivered": 2,
"skipped": 1
}
}
]
}
],
"pagination": {}
}